<bugID>1086958<Summary>back out default browser prompting change</Summary><Description>In bug 951627, we switched from using a modal prompt to a notification bar to ask the user about default browser.

FHR data suggests that this change results in a lower percentage of new users setting Firefox as their default, presumably because the notification bar is easier to miss/ignore.

We tried to mitigate that with bug 1079372, but it's not yet clear that will be sufficient.

We're probably not striking the right balance between discoverability/obtrusiveness here, so let's back it out for at least 34, and work on alternatives.</Description></bugID>